Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 163822

Summary: /etc/shadow is missing when doing kickstart-installs (anaconda) and exclude the authconfig paket
Product: Red Hat Enterprise Linux 3 Reporter: Joerg Hinz <hinz>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED WONTFIX QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: 3.0CC: tmraz
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-07-26 04:11:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Joerg Hinz 2005-07-21 13:53:14 UTC
From Bugzilla Helper:
User-Agent: Opera/8.01 (Windows NT 5.0; U; en)

Description of problem:
If you make a kickstart installation and exclude the authconfig-paket (using "-
authconfig" in ks.cfg) it results in a MISSING /etc/shadow.

I didn't expected the authconfig-paket to be that important.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Exclude authconfig from Kickstart Installation (-authconfig in ks.cfg)
2. Install System
3. ls /etc/shadow -> file not found
  

Actual Results:  /etc/shadow is missing from the system.

Expected Results:  /etc/shadow should be there regardless of the authconfig-paket.

Additional info:

If the authconfig-paket is REQUIRED for the Redhat-Installation there should be 
some dependency, else the bug in the installation (anaconda) should be fixed 
which causes the missing of /etc/shadow.

Comment 1 Tomas Mraz 2005-07-22 09:42:07 UTC
This can't be solved in authconfig package itself. Reassigning.


Comment 2 Jeremy Katz 2005-07-26 04:11:22 UTC
We use authconfig for setting things up like this.  So if you don't include
authconfig, it's not going to happen.